replicaCount: 1
secretOperator:
  image:
    registry: docker.io
    repository: freeleaps/secret-operator
    pullPolicy: IfNotPresent
    tag: snapshot-98635e6
    name: secret-operator
imagePullSecrets: []
nameOverride: ''
fullnameOverride: ''
serviceAccount:
  create: true
  annotations: {}
  name: freeleaps-secret-operator
podAnnotations: {}
podSecurityContext: {}
securityContext:
  allowPrivilegeEscalation: false
  readOnlyRootFilesystem: true
  runAsNonRoot: true
  runAsUser: 1000
  capabilities:
    drop:
    - ALL
resources:
  limits:
    cpu: 500m
    memory: 512Mi
  requests:
    cpu: 100m
    memory: 128Mi
nodeSelector: {}
tolerations: []
affinity: {}
operator:
  debug: false
  apiServerPort: 8080
  watchedNamespaces: ''
  k8sClusterDomain: kubernetes.default.svc.freeleaps.cluster
  autoDiscoverK8sClusterDomainMaxRetries: 5
  kopfPeeringName: freeleaps-secret-operator
  leaderElection:
    enabled: true
  namespace: freeleaps-devops-system
azureKeyVault:
  createSecret: true
  existingSecret: ''
  credentials:
    tenantId: cf151ee8-5c2c-4fe7-a1c4-809ba43c9f24
    clientId: 7cd1df19-24ea-46d7-acd3-5336283139e0
    clientSecret: XMy8Q~XbsgiXC6Yrm7vCRCsHdLhQpIMYCSRvgcLH
    vaultUrl: https://freeleaps-vault-service.vault.azure.net/
    vaultName: freeleaps-vault-service
    subscriptionId: 0a280068-dec4-4bf0-9f04-65b64f412b50
    resourceGroup: k8s
jwt:
  createSecret: true
  existingSecret: ''
  config:
    secretKey: ea84edf152976b2fcec12b78aa8e45bc26a5cf0ef61bf16f5c317ae33b3fd8b0
    algorithm: HS256
hmac:
  createSecret: true
  existingSecret: ''
  config:
    secretKey: ea84edf152976b2fcec12b78aa8e45bc26a5cf0ef61bf16f5c317ae33b3fd8b0
crds:
  install: false
apiServerService:
  enabled: true
  service:
    type: ClusterIP
    port: 8080
